/* CSS BEM Grammar: block_element--modifier */

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

::selection {
  color: var(--white);
  background-color: var(--black);
}

/* SPACERS */
:root {
  --gutter: 16px;
  --gutterWide: 32px;

  --sp1: 4px; 
  --sp2: 8px; 
  --sp3: 16px; 
  --sp4: 24px; 
  --sp5: 32px; 
  --sp6: 48px; 
  --sp7: 64px; 
}

/* COLORS */
:root {
  --black: #323232;
  --titanium: #8C8C8C;
  --extralight: #f6f6f6;
  --background: #f6f6f6;
  --white: #fff;

  --brand: #FF4646;
  --editorial: #348FFF;
  --web: #59D662;
}

/* TYPE */
:root {
  --mono: 'PP Fraktion Mono', monospace;
  --sans: 'PP Fraktion Sans', sans-serif;
  --sansItalic: 'PP Fraktion Sans Italic', sans-serif;
  --sansBold: 'PP Fraktion Sans Bold', sans-serif;
}

html, body {
  touch-action: manipulation;
}

body {
  font-family: var(--sans);
  font-size: 12px;
  line-height: 120%;
  color: var(--black);
}

main {
  width: 100vw;
  height: 100vh;
  background-color: var(--background);
  position: fixed;
  top: 0;
  left: 0;
}

a:link, a:visited, a:hover, a:focus, a:active, button {
  font-family: var(--mono);
  line-height: 100%;
  color: var(--black);
  text-transform: uppercase;
  text-decoration: none;
  background: none;
  border: 0;
  padding: 0;
  cursor: pointer;
}

a.disabled {
  pointer-events: none;
}

a.secondary:link,
a.secondary:visited,
a.secondary:hover,
a.secondary:focus,
a.secondary:active {
  font-family: var(--sans);
  text-transform: none;
  text-decoration: underline;
}

a.secondary {
  display: block;
  margin-top: var(--sp2);
}

/* PILL */
.pill {
  width: 78px;
  height: 32px;
  border-radius: 40px;
  -webkit-border-radius: 40px;
  -moz-border-radius: 40px;
  -ms-border-radius: 40px;
  -o-border-radius: 40px;
}

.pill-brand {
  background-color: var(--brand);
  background-image: linear-gradient(to right, var(--brand) 50%, var(--white) 50%);
  border: 4px solid var(--brand);
}

.pill-editorial {
  background-color: var(--editorial);
  background-image: linear-gradient(to right, var(--editorial) 50%, var(--white) 50%);
  border: 4px solid var(--editorial);
}

.pill-web {
  background-color: var(--web);
  background-image: linear-gradient(to right, var(--web) 50%, var(--white) 50%);
  border: 4px solid var(--web);
}

